Package picard.illumina.parser

## Class NewIlluminaDataProvider

- java.lang.Object
- - picard.illumina.parser.BaseIlluminaDataProvider
  - - picard.illumina.parser.NewIlluminaDataProvider

- All Implemented Interfaces:
    `AutoCloseable`, `Iterable<ClusterData>`, `Iterator<ClusterData>`

      public class NewIlluminaDataProvider
      extends BaseIlluminaDataProvider

  Parse cbcls Illumina Basecall files, and use them the to populate ClusterData objects.

- - ### Field Summary

    - ### Fields inherited from class picard.illumina.parser.BaseIlluminaDataProvider

      `lane`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `static Integer` | `fileToTile​(String fileName)` |
    `boolean` | `hasNext()` |
    `ClusterData` | `next()` |
    `void` | `seekToTile​(int seekAfterFirstRead)` |

    - ### Methods inherited from class picard.illumina.parser.BaseIlluminaDataProvider

      `addData, addData, addData, addReadData, addReadData, addReadData, iterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `BaseIlluminaDataProvider`

    - #### seekToTile

          public void seekToTile​(int seekAfterFirstRead)

    - #### hasNext

          public boolean hasNext()

    - #### next

          public ClusterData next()

    - #### fileToTile

          public static Integer fileToTile​(String fileName)